import { axios } from '@/utils/request'

//  智能补货列表  无分页
export const predictList = (params) => {
  return axios({
    url: '/predict/stockPredict/queryList',
    data: params,
    method: 'post'
  })
}
//  智能补货  产品范围列表  无分页
export const predictRangeList = (params) => {
  const url = `/predict/stockPredict/queryRangeList/${params.sn}`
  return axios({
    url: url,
    method: 'get'
  })
}
//  智能补货  趋势平均列表
export const predictTrendList = (params) => {
  return axios({
    url: '/predict/stockPredict/queryTrendList',
    method: 'get'
  })
}
//  智能补货  保存
export const predictSave = (params) => {
  return axios({
    url: '/predict/stockPredict/save',
    data: params,
    method: 'post'
  })
}
